<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('event_payment_methods', function (Blueprint $table) {
            $table->json('configuration')->nullable();
        });
    }

    public function down(): void
    {
        Schema::table('event_payment_methods', function (Blueprint $table) {
            $table->dropColumn('configuration');
        });
    }
};
